{ ****************************************************************
  Sourcefile :  	zinsView.pas
  Typ :  		Boundary-Unit
  Autor :  		max kleiner, LoC=73
  Beschreibung :  	shows the ratecalc				fgung
  Klassen :	  	1, siehe ModelMaker
  Besonderes : 	        uses an income Dll
  Revisionen :  	07.11.98 main design
 **************************************************************** }

unit zinsView;

interface

uses
  Windows, SysUtils, Classes, Controls, Forms,
  StdCtrls, Buttons,  Income1;

type
  TfrmIncome = class(TForm)
    edtZins: TEdit;
    edtJahre: TEdit;
    edtBetrag: TEdit;
    lbltitel: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    incomeRef: TIncome;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmIncome: TfrmIncome;

implementation

uses ulooktrans;

{$R *.DFM}

 function CreateIncome: TIncome; stdcall;
    external 'income.dll';
  //functionname casesensitiv !!

procedure TfrmIncome.FormCreate(Sender: TObject);
begin
  incomeRef:= createIncome;
end;

procedure TfrmIncome.BitBtn1Click(Sender: TObject);
var cIncome: currency;
begin
  incomeRef.SetRate(strToInt(edtZins.text),
                    strToInt(edtJahre.text));
  try
  cIncome:= incomeRef.GetIncome(StrToFloat(edtBetrag.Text));
  except on EConvertError do
     raise exception.create(frmTrans.strLit[46]);
  end;
  edtBetrag.text:= Format('%m',[cIncome]);
end;

procedure TfrmIncome.FormDestroy(Sender: TObject);
begin
  incomeRef.free;
end;

end.
